Bug 44056 - Picker Focused/Unfocused events not fired on iOS 10 preview
Summary: Picker Focused/Unfocused events not fired on iOS 10 preview
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.1
Hardware: Macintosh Mac OS
: Normal major
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-07 15:38 UTC by tricia.dipiazza
Modified: 2016-10-13 12:07 UTC (History)
5 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description tricia.dipiazza 2016-09-07 15:38:29 UTC
When a picker is dismissed by tapping "Done", the unfocused event never fires. Additionally, the picker doesn't animate gracefully out of the view hierarchy - it just vanishes.


using Xamarin.Forms;

namespace pickertest
{
	public partial class pickertestPage : ContentPage
	{
		public pickertestPage()
		{
			InitializeComponent();

			this.Picker.Focused += (object sender, FocusEventArgs e) => {

                        // Never executed
				System.Diagnostics.Debug.WriteLine("focus!");
			};

			this.Picker.Unfocused += (object sender, FocusEventArgs e) => {

                        // Never executed
				System.Diagnostics.Debug.WriteLine("unfocus!");
			};
		}
	}
}
Comment 1 Parmendra Kumar 2016-09-21 18:19:13 UTC
I have checked this issue with Xamarin.Forms 2.3.3.152-pre2 and observed that this issue working fine with iOS10
Screencast: http://www.screencast.com/t/SGsByz5yHkdx

But I am still getting same issue with Android
Screencast: http://www.screencast.com/t/85lVnDCbnTcH

Hence I am change the status as confirm with respect to Android.

Thanks.

SampleProject: https://www.dropbox.com/s/icl1e7m8g1291vo/pickertestPage.zip?dl=0
Comment 2 adrianknight89 2016-10-13 05:17:47 UTC
I think this needs to be closed.

https://github.com/xamarin/Xamarin.Forms/pull/339
Comment 3 Parmendra Kumar 2016-10-13 12:07:00 UTC
I have again checked this issue with Xamarin.Forms 2.3.3.152-pre2 and observed that this issue is working fine on both Android and iOS.

Hence closing this issue.